classification
Title: Drop OS/2 and VMS support in Python 3.3
Type: Stage:
Components: Interpreter Core Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, haypo, jcea, loewis, nadeem.vawda, pieronne, python-dev, skrah
Priority: normal Keywords: patch

Created on 2011-04-25 14:21 by haypo, last changed 2011-04-27 12:35 by haypo. This issue is now closed.

Files
File name Uploaded Description Edit
unsupport_os2_vms-2.patch haypo, 2011-04-26 00:16 review
Messages (12)
msg134384 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-04-25 14:21
Because we don't have any OS/2 and VMS maintainer for Python 3, I propose to drop OS/2 and VMS support in Python 3.3: OSes unsupported in 3.3, code removed in 3.4 (see the PEP 11 for the process).
msg134432 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-04-26 00:12
@loewis: Would you like to review the patch?

You wrote on python-dev:

"For OS/2, I propose to syntactically break the makefile"
and
"For VMS, I *think* the build process is configure-based (but I may
misremember); if so, adding an exit into configure.in would be
appropriate."

But I don't know how to do that.

I added two #error for each OS, I hope that it is enough. But I am unable to test my patch, I don't have access to these OSes :-)
msg134433 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-04-26 00:16
Oh, I just realized that the PEP 11 doesn't ask to mention unsupported OSes in the What's new document. New patch to mention that OS/2 and VMS are no more supported.
msg134445 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-04-26 05:31
The patch looks fine; please add a reference to PEP 11 into the error messages, though (so that people can find out that they can volunteer to maintain it).
msg134446 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2011-04-26 06:43
I wrote to the maintainer of vmspython, and he said this:

"Python on VMS is actively maintained, for example you can take a look at
http://www.vmspython.org/ and http://www.vmspython.org/History
Our plan are to port, this year 2.7, then 3.x."


So the vmspython project looks active, but that still does not help
us of course. I hope Jean-François will comment here.
msg134447 - (view) Author: Piéronne Jean-François (pieronne) Date: 2011-04-26 07:48
How can we help you ?
msg134449 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2011-04-26 10:11
Would be possible to publish a notice in "python insider" blog?.Enigmail
msg134494 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-04-26 20:15
> How can we help you ?

Please contribute a full, complete, working VMS port to Python 3.3.

I never understood whether the code that we have is supposed to be
complete, in the sense that you get a working Python out of it
(rather, I understood that this never was the case - that you always
needed additional pieces to make it do something useful).

Another step to demonstrate ongoing support would be to contribute
a VMS build slave, so that committers without VMS (which is nearly
100%) can actually find out whether it continues to work after
changes.

I'd also like to see a dedicated maintainer nominated - a person who'll
respond to bug reports about the VMS support; if that person ever
leaves, and no new maintainer is nominated, the code would again be
up for removal.

If no demonstrable improvement is contributed to Python 3.3, I'd
continue with the PEP 11 process.
msg134496 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-26 20:48
New changeset ec754f8d2917 by Victor Stinner in branch 'default':
Issue #11918: OS/2 and VMS are no more supported because of the lack of
http://hg.python.org/cpython/rev/ec754f8d2917
msg134497 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-04-26 20:55
> The patch looks fine; please add a reference to PEP 11 
> into the error messages

Ok, done.

> "Our plan are to port, this year 2.7, then 3.x."

VMS is unsupported in 3.3 and the code will be removed in 3.4. If anyone comes with patches to have a working VMS version before Python 3.4, we can support VMS again and just forget the PEP 11 deprecation.

> Would be possible to publish a notice in "python insider" blog?

Sure, but I don't want to write it. Contact Doug Hellmann for that. Marc Andre Lemburg is also volunteer to write such notice.
msg134553 - (view) Author: Piéronne Jean-François (pieronne) Date: 2011-04-27 11:44
What we have planed is to release 2.7 in september, and I think we will be on time, so we can start working on 3.x in october, is it compatible with your schedule?
msg134557 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-04-27 12:35
PEP 398 -- Python 3.3 Release Schedule
http://www.python.org/dev/peps/pep-0398/
History
Date User Action Args
2011-04-27 12:35:02hayposetmessages: + msg134557
2011-04-27 11:44:37pieronnesetmessages: + msg134553
2011-04-27 10:47:29hayposetstatus: open -> closed
resolution: accepted -> fixed
2011-04-27 10:20:25eric.araujosetnosy: + eric.araujo
2011-04-26 20:55:17hayposetmessages: + msg134497
2011-04-26 20:48:27python-devsetnosy: + python-dev
messages: + msg134496
2011-04-26 20:15:36loewissetmessages: + msg134494
2011-04-26 10:11:32jceasetmessages: + msg134449
2011-04-26 07:48:51pieronnesetmessages: + msg134447
2011-04-26 06:43:01skrahsetnosy: + skrah, pieronne
messages: + msg134446
2011-04-26 05:31:17loewissetresolution: accepted
messages: + msg134445
2011-04-26 00:17:36hayposetfiles: - unsupport_os2_vms.patch
2011-04-26 00:16:44hayposetfiles: + unsupport_os2_vms-2.patch

messages: + msg134433
2011-04-26 00:12:30hayposetfiles: + unsupport_os2_vms.patch
keywords: + patch
messages: + msg134432
2011-04-25 20:02:26hayposetnosy: + loewis
2011-04-25 17:16:50nadeem.vawdasetnosy: + nadeem.vawda
2011-04-25 17:07:50jceasetnosy: + jcea
2011-04-25 14:21:43haypocreate